//---------------------------------------------------------------------------
#ifndef SQLGridH
#define SQLGridH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <Grids.hpp>      
#include <DSGNINTF.HPP>
//--------------------------------------------------------------------------- 
#include "SybaseCommon.h"

extern  TList *AllSybDatabases;
extern  int F1;
//---------------------------------------------------------------------------
// The main component
//---------------------------------------------------------------------------

class PACKAGE TSQLGrid : public TStringGrid
{
private:
  TString       *FDatabaseObject;

protected:

public:
     __fastcall virtual TSQLGrid(TComponent* Owner);    // constructor
  inline   __fastcall TSQLGrid(HWND Parent): TStringGrid(Parent) {};

// methods
    
// Variables
    DBPROCESS *dbproc;
    AnsiString DatabaseObject;
// read only properties

__published:
  __property TString *_DatabaseObject = {read=FDatabaseObject, write=FDatabaseObject};

};
//---------------------------------------------------------------------------

class  TGridProperty : public TPropertyEditor
{
  public:
  //  __fastcall ~TGridProperty();  // destructor
    virtual System::AnsiString __fastcall GetValue(); // override;
    virtual void __fastcall GetValues(Classes::TGetStrProc Proc); // override;
    virtual void __fastcall SetValue(const System::AnsiString Value); // override;
    TPropertyAttributes virtual __fastcall GetAttributes(void);   // override
    virtual void __fastcall Initialize(void);     // override
    __property Designer;
    Classes::TPersistent* ThisComponent;
    TSQLGrid *ptr;
};
//---------------------------------------------------------------------------
#endif
